Bug 522903 - Review Request: perl-Module-Install-GithubMeta - A Module::Install extension to include GitHub meta information in META.yml
Summary: Review Request: perl-Module-Install-GithubMeta - A Module::Install extension ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Module-In...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-12 03:30 UTC by Chris Weyl
Modified: 2009-09-17 03:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-17 03:31:36 UTC
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2009-09-12 03:30:47 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Module-Install-GithubMeta.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Module-Install-GithubMeta-0.10-1.fc11.src.rpm

Description:
Module::Install::GithubMeta is a Module::Install extension
to include GitHub (http://github.com) meta information in
'META.yml'.  It automatically detects if the distribution
directory is under 'git' version control and whether the
'origin' is a GitHub repository; if so, it will set the
'repository' and 'homepage' meta in 'META.yml' to the
appropriate URLs for GitHub.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1672451

*rt-0.10

Comment 1 Parag AN(पराग) 2009-09-14 07:01:38 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1676192
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
3247bf9bde5aef712e22d0cf624d17ff8f1154c1  Module-Install-GithubMeta-0.10.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=4, Tests=3,  1 wallclock secs ( 0.03 usr  0.01 sys +  0.42 cusr  0.15 csys =  0.61 CPU)
+ Package perl-Module-Install-GithubMeta-0.10-1.fc12.noarch =>
Provides: perl(Module::Install::GithubMeta) = 0.10
Requires: perl(base) perl(Cwd) perl(strict) perl(vars) perl(warnings) rpmlib(VersionedDependencies) <= 3.0.3-1

+ Not a GUI application

APPROVED.

Comment 2 Chris Weyl 2009-09-15 01:45:54 UTC
New Package CVS Request
=======================
Package Name: perl-Module-Install-GithubMeta
Short Description: A Module::Install extension to include GitHub meta information in META.yml
Owners: cweyl
Branches: F-10 F-11 devel
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2009-09-16 21:16:36 UTC
CVS done.

Comment 4 Chris Weyl 2009-09-17 03:31:36 UTC
Thanks for the review! :-)


Note You need to log in before you can comment on or make changes to this bug.